Subject: Re: [PATCH 00/10] Spring cleanup of "contrib/"

From: Todd Zullinger <[email-masked]>
Date: Tue, 6 May 2025 21:32:23 -0400

Eric Sunshine wrote:
> Although we periodically hear that someone uses it, git-contacts
> probably falls into the "tool has a clear alternative" category. In
> this case, git-related[*] is a separately-maintained more functional
> drop-in replacement which people could be using instead of
> git-contacts.
> 
> [*]: https://github.com/felipec/git-related/blob/master/git-related

It may be worth noting that git-contacts is suggested in
both MyFirstContribution.adoc and SubmittingPatches.

It probably helps that since 824503ce88 (SubmittingPatches:
clarify 'git-contacts' location, 2024-04-18) there has been
a note stating this isn't "part of the core `git` binary and
must be called directly." That is relatively recent, though.

I added git-contacts to the Fedora git packaging shortly
after 92a5dbbc22 (SubmittingPatches: mention the git
contacts command, 2018-04-11), presuming some readers would
want to use it.  (I never want to penalize users who are
diligent enough to read SubmittingPatches. :)

All that said, I don't have any strong opinion on whether it
is kept or removed, let alone when that might happen.  I
don't know that I've ever used it, other than for testing
that it worked while packaging it.

-- 
Todd